=== src/bff/Makefile ===
all:
	gcc bff_huffman_decompress.c -o bff_huffman_decompress

clean:
	rm -f bff_huffman_decompress

distclean: clean
