=== src/others/Makefile ===
all:
	make -C ./squashfs-3.0-e2100
	make -C ./squashfs-3.2-r2
	make -C ./squashfs-3.2-r2-lzma
	make -C ./squashfs-3.2-r2-hg612-lzma
	make -C ./squashfs-3.2-r2-wnr1000
	make -C ./squashfs-3.2-r2-rtn12
	make -C ./squashfs-3.3
	make -C ./squashfs-3.3-lzma
	make -C ./squashfs-3.3-grml-lzma
	make -C ./squashfs-3.4-cisco
	make -C ./squashfs-3.4-nb4
	make -C ./squashfs-4.0-lzma
	make -C ./squashfs-4.0-realtek
	make -C ./squashfs-2.0-nb4
	make -C ./squashfs-4.2
	make -C ./squashfs-4.2-official

clean:
	make -C ./squashfs-3.0-e2100 clean
	make -C ./squashfs-3.2-r2 clean
	make -C ./squashfs-3.2-r2-lzma clean
	make -C ./squashfs-3.2-r2-hg612-lzma clean
	make -C ./squashfs-3.2-r2-wnr1000 clean
	make -C ./squashfs-3.2-r2-rtn12 clean
	make -C ./squashfs-3.3 clean
	make -C ./squashfs-3.3-lzma clean
	make -C ./squashfs-3.3-grml-lzma clean
	make -C ./squashfs-3.4-cisco clean
	make -C ./squashfs-3.4-nb4 clean
	make -C ./squashfs-4.0-lzma clean
	make -C ./squashfs-4.0-realtek clean
	make -C ./squashfs-2.0-nb4 clean
	make -C ./squashfs-4.2 clean
	make -C ./squashfs-4.2-official clean
